## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseProxyTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PersistentTable, SQLObject, SybaseASABaseTable, SybaseAuthorizedObject, SybaseBaseTable, Table

All Known Implementing Classes:
  SybaseASABaseProxyTableImpl, SybaseASACatalogBaseProxyTable

    public interface SybaseASABaseProxyTable

extends SybaseASABaseTable

A representation of the model object 'Sybase ASA Base Proxy Table'.

The following features are supported:

- `Remote Object Location`
- `Existing`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseProxyTable()`

Method Summary
`java.lang.String` `getRemoteObjectLocation()` Returns the value of the 'Remote Object Location' attribute.
`boolean` `isExisting()` Returns the value of the 'Existing' attribute.
`void` `setExisting(boolean value)` Sets the value of the '`Existing`' attribute.
`void` `setRemoteObjectLocation(java.lang.String value)` Sets the value of the '`Remote Object Location`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseTable
`getDbSpace, setDbSpace`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRemoteObjectLocation

    java.lang.String getRemoteObjectLocation()

  Returns the value of the 'Remote Object Location' attribute.

  If the meaning of the 'Remote Object Location' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Remote Object Location' attribute.
  See Also:
    `setRemoteObjectLocation(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseProxyTable_RemoteObjectLocation()`

### setRemoteObjectLocation

    void setRemoteObjectLocation(java.lang.String value)

  Sets the value of the '`Remote Object Location`' attribute.

  Parameters:
    `value` - the new value of the 'Remote Object Location' attribute.
  See Also:
    `getRemoteObjectLocation()`

### isExisting

    boolean isExisting()

  Returns the value of the 'Existing' attribute. The default value is `"false"`.

  If the meaning of the 'Existing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `setExisting(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseProxyTable_Existing()`

### setExisting

    void setExisting(boolean value)

  Sets the value of the '`Existing`' attribute.

  Parameters:
    `value` - the new value of the 'Existing' attribute.
  See Also:
    `isExisting()`